org.modeshape.connector.git

## Class GitTags

- java.lang.Object
- - org.modeshape.connector.git.GitFunction
  - - org.modeshape.connector.git.GitTags

-     public class GitTags
      extends GitFunction

  A `GitFunction` that returns the list of tags in this repository. The structure of this area of the repository is as follows:

         /tags/{tagName}

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ID`
    `protected static String` | `NAME`

    - ### Fields inherited from class org.modeshape.connector.git.GitFunction

      `connector, DEFAULT_PAGE_SIZE, DELIMITER, name, pageSize, REMOTE_BRANCH_PREFIX, REVERSE_REF_COMPARATOR, TAG_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitTags(GitConnector connector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `execute(org.eclipse.jgit.lib.Repository repository, org.eclipse.jgit.api.Git git, CallSpecification spec, DocumentWriter writer, Values values)`

    - ### Methods inherited from class org.modeshape.connector.git.GitFunction

      `addBranchesAsChildren, addCommitsAsChildren, addCommitsAsPageOfChildren, addTagsAsChildren, authorName, branchRefForName, branchRefForName, commiterName, getName, isPaged, isQueryable, resolveBranchOrTagOrCommitId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          protected static final String NAME

      See Also:
        Constant Field Values

    - #### ID

          protected static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GitTags

          public GitTags(GitConnector connector)

  - ### Method Detail

    - #### execute

          public Document execute(org.eclipse.jgit.lib.Repository repository,
                         org.eclipse.jgit.api.Git git,
                         CallSpecification spec,
                         DocumentWriter writer,
                         Values values)
                           throws org.eclipse.jgit.api.errors.GitAPIException,
                                  IOException

      Specified by:
        `execute` in class `GitFunction`
      Throws:
        `org.eclipse.jgit.api.errors.GitAPIException`
        `IOException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.